<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<h2 align="center">HTML Attributes</h2>
	<!-- 
		HTML attributes are added into the opening to modify the behavior of an element

		<tag attribute = "value">text</tag>
	 -->
	<!-- type attribute align modifies the alignment of our tet
	xt in an element -->

	<p align="right">Modifiers of element behavior</p>

	<!-- type atribute can be added to our "ol" to change the default from numbered list to the indicate na type -->

	<!-- vertical align
		vlign = "top, middle, bottom" -->

	<!-- valign example -->
	<table align="center" border="1" width="200" >
		<tr>
			<th height = "200" valign="top">Student Code</th>
			<th valign="middle">Grade</th>
		</tr>
		<tr>
			<td align="center">0001</td>
			<td>B+</td>
		</tr>
	</table>

	<!-- start attribute can be determine which number we can start our ordered list from -->
	
	<ol type="a" start="2">
		<li>Michael Jordan</li>
		<li>Kobe Bryant</li>
		<li>LeBron James</li>
	</ol>

	<!-- reverse attribute reverses the order of the numbering of an "ol" -->

	<ol reversed>
		<li>Michael Jordan</li>
		<li>Kobe Bryant</li>
		<li>LeBron James</li>
	</ol>

	<!-- allows to add an image element. it is usuall used with src attribute which determines the source for iamge displayed

	height and width attributes that will allow us to determine the height and width of an image per pixel. 

		src attribute in our img we can either get our resource from a relative path or an absolute path

		relative path 
			- means the resource is located relatively to our index.html
			- this is means it sis in the same machine

		absolute path
			- when the resource in located outside the local machine or in another server.


		== move file folder ==
		mv [filename] [folder directory]
		ex. mv html5.png images

	alt - attribute allows to add a caption or description about our image in the event the path provided in the source cannot be found
	-->
	<img height="400" width="400" src="./images/html5.png" alt="a logo of html 5">

	<img src="https://place-puppy.com/300x300" alt="a photo of cute puppy but very scary">

	<!-- Mini-Activity
		Add HR
		Add h1 with Name
		Add h3 with the text "Full Stack Web Developer"

		Download or copy yout picture in our images folder inside s04. Make sure the image is:
			- .jpg/.png
			- square in size and shape
			- keep it sfw

			add an img in our html to display the image

				-add a src attribte and its absolute path to locate the picture and display it properly
				-add a height and width attribute to the img tag and resize the picture 200x200
				- add an alt to the image to discribe the picture
	
	 -->

<hr>
<h1>Bj Karl E. Babasa</h1>
<h3>Full Stack Web Developer</h3>

<img src="./images/bb.jpg" alt="Picture of me" height="200" width="200">

<h3>My Favorite Food</h3>
<img src="https://www.eatthis.com/wp-content/uploads/sites/4/2020/12/unhealthiest-foods-planet.jpg?quality=82&strip=1&resize=640%2C360" alt="My Favorite Food" height="200" width="200">

<!-- Link

	a - anchor tag
		this allows to create links to relative path or an absolute path

	href - hypertext reference
		this allows us to add the URL for our anchor tag. If no href is added to the anchor tag, it does not work 

	for absolute links or links with absolute path, we want our users to move from our page to another page in another location

	we add the target="_blank" to an absolute link so that we can open a new tab when link the user to a page outside of our server/machine
	-->

<hr>
<h2>Links</h2>
<a href="#">Am I Link?</a>
<br>
<a href="https://zuitt.co" target="_blank">Zuitt.co Absolute Link</a>
<br>
<a href="./link.html">Go to Link</a>
</body>
</html>